<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: frontend/src/lib/Main Window/hostgame.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_ca0386ec887ae6362f93b0d653b52e0c.html">frontend</a></li><li class="navelem"><a class="el" href="dir_debbd63f1d8db984f7ce6be7690dc411.html">src</a></li><li class="navelem"><a class="el" href="dir_4a296fb22e14d54e648023a35f56bd71.html">lib</a></li><li class="navelem"><a class="el" href="dir_975d5d2dd149c960a63cfc1fda02739a.html">Main Window</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">hostgame.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;QMainWindow&gt;</code><br />
<code>#include &lt;QPixmap&gt;</code><br />
<code>#include &lt;QPalette&gt;</code><br />
<code>#include &lt;QBrush&gt;</code><br />
<code>#include &lt;QStandardItemModel&gt;</code><br />
<code>#include &lt;QRegularExpression&gt;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;fmt/core.h&gt;</code><br />
<code>#include &quot;<a class="el" href="globals_8h_source.html">globals.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="Chat_8h_source.html">../Chat/Chat.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="gamestateservice_8h_source.html">gamestateservice.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="settingsservice_8h_source.html">settingsservice.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="table_8h_source.html">table.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for hostgame.h:</div>
<div class="dyncontent">
<div class="center"><img src="hostgame_8h__incl.png" border="0" usemap="#frontend_2src_2lib_2Main_01Window_2hostgame_8h" alt=""/></div>
<map name="frontend_2src_2lib_2Main_01Window_2hostgame_8h" id="frontend_2src_2lib_2Main_01Window_2hostgame_8h">
<area shape="rect" title=" " alt="" coords="1758,5,1917,47"/>
<area shape="rect" title=" " alt="" coords="29,169,145,196"/>
<area shape="rect" title=" " alt="" coords="169,169,250,196"/>
<area shape="rect" title=" " alt="" coords="275,169,352,196"/>
<area shape="rect" title=" " alt="" coords="376,169,446,196"/>
<area shape="rect" title=" " alt="" coords="3682,244,3842,271"/>
<area shape="rect" title=" " alt="" coords="3917,95,4070,121"/>
<area shape="rect" title=" " alt="" coords="839,408,919,435"/>
<area shape="rect" title=" " alt="" coords="1893,408,1982,435"/>
<area shape="rect" href="globals_8h.html" title=" " alt="" coords="3581,326,3662,353"/>
<area shape="rect" href="Chat_8h.html" title=" " alt="" coords="2481,169,2592,196"/>
<area shape="rect" href="gamestateservice_8h.html" title=" " alt="" coords="1529,244,1680,271"/>
<area shape="rect" href="settingsservice_8h.html" title=" " alt="" coords="1766,326,1899,353"/>
<area shape="rect" href="table_8h.html" title=" " alt="" coords="1128,95,1195,121"/>
<area shape="rect" title=" " alt="" coords="3480,408,3606,435"/>
<area shape="rect" title=" " alt="" coords="2280,244,2414,271"/>
<area shape="rect" title=" " alt="" coords="1374,244,1453,271"/>
<area shape="rect" title=" " alt="" coords="2438,244,2525,271"/>
<area shape="rect" title=" " alt="" coords="2549,244,2633,271"/>
<area shape="rect" title=" " alt="" coords="2165,408,2220,435"/>
<area shape="rect" title=" " alt="" coords="2657,244,2717,271"/>
<area shape="rect" title=" " alt="" coords="2741,244,2825,271"/>
<area shape="rect" title=" " alt="" coords="1857,244,1952,271"/>
<area shape="rect" title=" " alt="" coords="2850,244,2927,271"/>
<area shape="rect" title=" " alt="" coords="2952,244,3017,271"/>
<area shape="rect" title=" " alt="" coords="3042,244,3204,271"/>
<area shape="rect" title=" " alt="" coords="3229,244,3337,271"/>
<area shape="rect" title=" " alt="" coords="3362,244,3423,271"/>
<area shape="rect" title=" " alt="" coords="3447,244,3506,271"/>
<area shape="rect" href="NetworkService_8hpp.html" title=" " alt="" coords="1039,319,1196,360"/>
<area shape="rect" href="config_8h.html" title=" " alt="" coords="1578,408,1652,435"/>
<area shape="rect" title=" " alt="" coords="1386,483,1444,509"/>
<area shape="rect" title=" " alt="" coords="990,408,1056,435"/>
<area shape="rect" title=" " alt="" coords="1081,408,1157,435"/>
<area shape="rect" title=" " alt="" coords="512,408,636,435"/>
<area shape="rect" title=" " alt="" coords="1237,408,1324,435"/>
<area shape="rect" title=" " alt="" coords="1694,408,1768,435"/>
<area shape="rect" title=" " alt="" coords="1569,326,1640,353"/>
<area shape="rect" title=" " alt="" coords="869,326,964,353"/>
<area shape="rect" title=" " alt="" coords="1796,408,1869,435"/>
<area shape="rect" title=" " alt="" coords="1452,408,1554,435"/>
<area shape="rect" href="cardwidget_8h.html" title=" " alt="" coords="1419,169,1526,196"/>
<area shape="rect" title=" " alt="" coords="1192,244,1299,271"/>
<area shape="rect" title=" " alt="" coords="1652,169,1749,196"/>
<area shape="rect" title=" " alt="" coords="521,169,592,196"/>
<area shape="rect" title=" " alt="" coords="667,169,742,196"/>
<area shape="rect" title=" " alt="" coords="766,169,864,196"/>
<area shape="rect" title=" " alt="" coords="990,169,1067,196"/>
<area shape="rect" title=" " alt="" coords="1142,169,1293,196"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="hostgame_8h__dep__incl.png" border="0" usemap="#frontend_2src_2lib_2Main_01Window_2hostgame_8hdep" alt=""/></div>
<map name="frontend_2src_2lib_2Main_01Window_2hostgame_8hdep" id="frontend_2src_2lib_2Main_01Window_2hostgame_8hdep">
<area shape="rect" title=" " alt="" coords="203,5,361,47"/>
<area shape="rect" href="hostgame_8cpp.html" title=" " alt="" coords="5,95,180,136"/>
<area shape="rect" href="lobby_8h.html" title=" " alt="" coords="204,95,360,136"/>
<area shape="rect" href="mainwindow_8h.html" title=" " alt="" coords="310,184,486,225"/>
<area shape="rect" href="lobby_8cpp.html" title=" " alt="" coords="129,184,285,225"/>
<area shape="rect" href="frontend_2src_2lib_2Main_01Window_2main_8cpp.html" title=" " alt="" coords="221,273,377,315"/>
<area shape="rect" href="mainwindow_8cpp.html" title=" " alt="" coords="401,273,592,315"/>
</map>
</div>
</div>
<p><a href="hostgame_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHostGame.html">HostGame</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceUi"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceUi.html">Ui</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
